from app import app, isAnAdmin
from pyrogram import filters
from classes.holo_user import HoloUser
from modules.utils import logWrite, locale, configGet, should_quote

# Message command ==============================================================================================================
@app.on_message(~ filters.scheduled & filters.command(["message"], prefixes=["/"]))
async def cmd_message(app, msg):

    if await isAnAdmin(msg.from_user.id) is True:

        try:

            try:
                destination = HoloUser(int(msg.command[1]))
            except ValueError:
                destination = HoloUser(msg.command[1])

            if ((msg.text is not None) and (len(msg.text.split()) > 2)):
                await destination.message(context=msg, text=" ".join(msg.text.split()[2:]), caption=msg.caption, photo=msg.photo, video=msg.video, file=msg.document, adm_context=True)
            elif ((msg.caption is not None) and (len(msg.caption.split()) > 2)):
                await destination.message(context=msg, text=msg.text, caption=" ".join(msg.caption.split()[2:]), photo=msg.photo, video=msg.video, file=msg.document, adm_context=True)
            else:
                await destination.message(context=msg, text=None, caption=None, photo=msg.photo, video=msg.video, file=msg.document, adm_context=True)
        
        except IndexError:
            await msg.reply_text(locale("message_invalid_syntax", "message"), quote=should_quote(msg))
            logWrite(f"Admin {msg.from_user.id} tried to send message but 'IndexError'")
        except ValueError:
            await msg.reply_text(locale("message_invalid_syntax", "message"), quote=should_quote(msg))
            logWrite(f"Admin {msg.from_user.id} tried to send message but 'ValueError'")
# ==============================================================================================================================