from app import app
from pyrogram import filters
from pyrogram.types import ForceReply, ReplyKeyboardMarkup
from classes.holo_user import HoloUser
from modules.utils import configGet, configSet, locale, logWrite

# Welcome check ================================================================================================================
@app.on_message(~ filters.scheduled & filters.private & (filters.regex(locale("welcome", "keyboard")[0][0]) | filters.regex(locale("return", "keyboard")[0][0])))
async def welcome_pass(app, msg, once_again: bool = True) -> None:
    """Set user's stage to 1 and start a fresh application

    ### Args:
        * app (app): Pyrogram Client to use 
        * msg (Message): Message with .from_user.id attribute equal to the end-user ID whose application will be started
        * once_again (bool, optional): Set to False if it's the first time as user applies. Defaults to True.
    """    

    holo_user = HoloUser(msg.from_user)

    if not once_again:
        await msg.reply_text(locale("privacy_notice", "message"))
        
    logWrite(f"User {msg.from_user.id} confirmed starting the application")
    await msg.reply_text(locale("question1", "message"), reply_markup=ForceReply(placeholder=locale("question1", "force_reply")))
    # configSet(["stage"], 1, file=str(msg.from_user.id))
    # configSet(["sent"], False, file=str(msg.from_user.id))

@app.on_message(~ filters.scheduled & filters.private & (filters.regex(locale("welcome", "keyboard")[1][0])))
async def welcome_reject(app, msg):

    logWrite(f"User {msg.from_user.id} rejected to start the application")
    await msg.reply_text(locale("goodbye", "message"), reply_markup=ReplyKeyboardMarkup(locale("return", "keyboard"), resize_keyboard=True))
# ==============================================================================================================================